<?php

class BiModule extends CWebModule
{


    public function init()
    {
        // this method is called when the module is being created
        // you may place code here to customize the module or the application // , false, -1, YII_DEBUG   skloniti po pustanju u produkciju
        $assetsDirectory = Yii::app()->assetManager->publish(Yii::getPathOfAlias('bi.assets'));
         Yii::app()->clientScript->registerCssFile($assetsDirectory . '/css/bi.css');

        //Yii::app()->clientScript->registerCssFile($assetsDirectory . '/css/orb.min.css');

        //Yii::app()->clientScript->registerScriptFile($assetsDirectory.'/js/react.js');
        // Yii::app()->clientScript->registerScriptFile($assetsDirectory.'/js/orb.min.js');


        // import the module-level models and components
        $this->setImport(array(
            'bi.models.*',
            'bi.components.*',
        ));
    }

    public function beforeControllerAction($controller, $action)
    {
        if (parent::beforeControllerAction($controller, $action)) {
            // this method is called before any module controller action is performed
            // you may place customized code here
            return true;
        } else
            return false;
    }


}
